Skip to main content
POST
/
v0
/
agreements
/
{id}
/
input
cURL
curl --request POST \
  --url https://test-api.shodai.network/v0/agreements/{id}/input \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "inputId": "submitInitialPaymentProof",
  "values": {
    "paymentReference": "wire-2026-04-27-001"
  },
  "signer": "0x2222222222222222222222222222222222222222",
  "deadline": 1776219513,
  "signature": {
    "v": 27,
    "r": "0x1111111111111111111111111111111111111111111111111111111111111111",
    "s": "0x2222222222222222222222222222222222222222222222222222222222222222"
  }
}
'
{
  "data": {
    "agreementId": "agr_123",
    "agreementAddress": "0x3333333333333333333333333333333333333333",
    "chainId": 59141,
    "inputId": "submitInitialPaymentProof",
    "txHash": "0x4444444444444444444444444444444444444444444444444444444444444444",
    "payload": "0x...",
    "values": {
      "paymentReference": "wire-2026-04-27-001"
    },
    "status": "MINED",
    "createdAt": "2026-04-27T16:10:00.000Z",
    "updatedAt": "2026-04-27T16:11:00.000Z"
  },
  "meta": {
    "apiVersion": "v0",
    "requestId": "req_123"
  }
}
Input submission requires a wallet that can sign for an account allowed by the authored input issuer. Use the deployed agreement record’s chainId and contract address when creating the EIP-712 signature. In SDK integrations, use submitAgreementInputWithPermit(...) to sign and submit in one flow. Generated API examples document request and response shape; choose input IDs and values from the deployed agreement JSON.

Authorizations

X-API-Key
string
header
default:YOUR_API_KEY
required

Canonical API-key credential. Send X-API-Key: cns_pk_..., or Authorization: Bearer cns_pk_... only as an API-key compatibility alias. OAuth and JWT bearer tokens are not supported.

Path Parameters

id
string
required

Agreement ID or deployed agreement address.

Body

application/json

Signed input submission for a deployed agreement.

inputId
string
required

Input ID defined in the agreement JSON.

values
object
required

Business values submitted for this input.

signer
string
required

Wallet address that signed the EIP-712 input permit.

deadline
integer
required

Unix timestamp in seconds when the input permit expires.

signature
object
required

EIP-712 signature parts.

Example:
{
  "v": 27,
  "r": "0x1111111111111111111111111111111111111111111111111111111111111111",
  "s": "0x2222222222222222222222222222222222222222222222222222222222222222"
}

Response

Created input record.

data
object
required
Example:
{
  "agreementId": "agr_123",
  "agreementAddress": "0x3333333333333333333333333333333333333333",
  "chainId": 59141,
  "inputId": "submitInitialPaymentProof",
  "txHash": "0x4444444444444444444444444444444444444444444444444444444444444444",
  "payload": "0x...",
  "values": { "paymentReference": "wire-2026-04-27-001" },
  "status": "MINED",
  "createdAt": "2026-04-27T16:10:00.000Z",
  "updatedAt": "2026-04-27T16:11:00.000Z"
}
meta
object
required